---
title: CSSValue
slug: Web/API/CSSValue
tags:
  - API
  - CSSOM
  - CSSValue
  - Interface
  - NeedsExample
  - Obsolete
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>CSSValue</strong></code> interface represents the current computed value of a CSS property.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("CSSValue.cssText")}}</dt>
 <dd>A {{DOMxRef("DOMString")}} representing the current value.</dd>
 <dt>{{DOMxRef("CSSValue.cssValueType")}}{{ReadOnlyInline}}</dt>
 <dd>An <code>unsigned short</code> representing a code defining the type of the value. Possible values are:
 <table class="standard-table">
  <tbody>
   <tr>
    <td class="header">Constant</td>
    <td class="header">Description</td>
   </tr>
   <tr>
    <td><code>CSS_CUSTOM</code></td>
    <td>The value is a custom value.</td>
   </tr>
   <tr>
    <td><code>CSS_INHERIT</code></td>
    <td>The value is inherited and the <code>cssText</code> contains <code>"inherit"</code>.</td>
   </tr>
   <tr>
    <td><code>CSS_PRIMITIVE_VALUE</code></td>
    <td>The value is a primitive value and an instance of the {{DOMxRef("CSSPrimitiveValue")}} interface can be obtained by using binding-specific casting methods on this instance of the <code>CSSValue</code> interface.</td>
   </tr>
   <tr>
    <td><code>CSS_VALUE_LIST</code></td>
    <td>The value is a <code>CSSValue</code> list and an instance of the {{DOMxRef("CSSValueList")}} interface can be obtained by using binding-specific casting methods on this instance of the <code>CSSValue</code> interface.</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSValue', 'CSSValue')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSValue")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("CSSPrimitiveValue")}}</li>
 <li>{{DOMxRef("CSSValueList")}}</li>
</ul>
